// Copyright (c) 2021 MillenniumEarl
//
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

export const urls = {
  /**
   * Page with the list of alerts for the user currently logged.
   */
  ALERTS: "https://f95zone.to/account/alerts",
  /**
   * Basic URL of the platform.
   */
  BASE: "https://f95zone.to",
  /**
   * Page with the list of favorite posts of the user currently logged.
   */
  BOOKMARKS: "https://f95zone.to/account/bookmarks",
  /**
   * Page with the list of conversations of the currently logged user.
   */
  CONVERSATIONS: "https://f95zone.to/conversations/",
  /**
   * URL of the script used for searching for content
   * in the "Latest Updates" section of the platform.
   */
  LATEST_PHP: "https://f95zone.to/new_latest.php",
  /**
   * Page with the latest updated platform content.
   */
  LATEST_UPDATES: "https://f95zone.to/latest",
  /**
   * Page used for user login.
   */
  LOGIN: "https://f95zone.to/login/login",
  /**
   * Page used for entering the OTP code in the case of two-factor authentication.
   */
  LOGIN_2FA: "https://f95zone.to/login/two-step",
  /**
   * Summary page of users registered on the platform.
   * Used for the search for a specific member through ID.
   */
  MEMBERS: "https://f95zone.to/members",
  /**
   * Add the unique ID of the post to
   * get the thread page where the post
   * is present.
   */
  POSTS: "https://f95zone.to/posts/",
  /**
   * URL used to send a POST request and change
   * the number of posts that can be viewed per
   * page of a specific thread.
   */
  POSTS_NUMBER: "https://f95zone.to/account/dpp-update",
  /**
   * URL used to search the platform by POST request.
   */
  SEARCH: "https://f95zone.to/search/search/",
  /**
   * Add the unique ID of the thread to get it's page.
   */
  THREADS: "https://f95zone.to/threads/",
  /**
   * Page with the list of watched threads of the currently logged user.
   */
  WATCHED_THREADS: "https://f95zone.to/watched/threads"
};
